/figma-api | Type: Application | PCID required: Yes
Tools
figma-api_delete_comment
Delete a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to delete comment from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
comment_id | string | Yes | — | Comment id of comment to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to delete comment from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"comment_id": {
"type": "string",
"description": "Comment id of comment to delete"
}
},
"required": [
"PCID",
"file_key",
"comment_id"
]
}
figma-api_delete_comment_reaction
Delete a reaction Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to delete comment reaction from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
comment_id | string | Yes | — | ID of comment to delete reaction from. |
emoji | string | Yes | — | The emoji type of reaction as shortcode (e.g. :heart:, :+1::skin-tone-2:). The list of accepted emoji shortcodes can be found in this file under the top-level emojis and aliases fields, with optional skin tone modifiers when applicable. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to delete comment reaction from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"comment_id": {
"type": "string",
"description": "ID of comment to delete reaction from."
},
"emoji": {
"type": "string",
"description": "The emoji type of reaction as shortcode (e.g. `:heart:`, `:+1::skin-tone-2:`). The list of accepted emoji shortcodes can be found in [this file](https://raw.githubusercontent.com/missive/emoji-mart/main/packages/emoji-mart-data/sets/14/native.json) under the top-level emojis and aliases fields, with optional skin tone modifiers when applicable."
}
},
"required": [
"PCID",
"file_key",
"comment_id",
"emoji"
]
}
figma-api_delete_dev_resource
Delete dev resource Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | The file to delete the dev resource from. This must be a main file key, not a branch key. |
dev_resource_id | string | Yes | — | The id of the dev resource to delete. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "The file to delete the dev resource from. This must be a main file key, not a branch key."
},
"dev_resource_id": {
"type": "string",
"description": "The id of the dev resource to delete."
}
},
"required": [
"PCID",
"file_key",
"dev_resource_id"
]
}
figma-api_delete_webhook
Delete a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | ID of webhook to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "ID of webhook to delete"
}
},
"required": [
"PCID",
"webhook_id"
]
}
figma-api_get_activity_logs
Get activity logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
events | string | No | — | Event type(s) to include in the response. Can have multiple values separated by comma. All events are returned by default. |
start_time | number | No | — | Unix timestamp of the least recent event to include. This param defaults to one year ago if unspecified. |
end_time | number | No | — | Unix timestamp of the most recent event to include. This param defaults to the current timestamp if unspecified. |
limit | number | No | — | Maximum number of events to return. This param defaults to 1000 if unspecified. |
order | string | No | — | Event order by timestamp. This param can be either “asc” (default) or “desc”. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"events": {
"type": "string",
"description": "Event type(s) to include in the response. Can have multiple values separated by comma. All events are returned by default."
},
"start_time": {
"type": "number",
"description": "Unix timestamp of the least recent event to include. This param defaults to one year ago if unspecified."
},
"end_time": {
"type": "number",
"description": "Unix timestamp of the most recent event to include. This param defaults to the current timestamp if unspecified."
},
"limit": {
"type": "number",
"description": "Maximum number of events to return. This param defaults to 1000 if unspecified."
},
"order": {
"type": "string",
"description": "Event order by timestamp. This param can be either \"asc\" (default) or \"desc\".",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID"
]
}
figma-api_get_ai_usage_daily
Get daily AI credit usage Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start_date | string | Yes | — | The first day to include, inclusive, as a YYYY-MM-DD calendar date (UTC). Required. Must be on or after 2025-12-01 and no more than 366 days before the current UTC day. |
end_date | string | Yes | — | The last day to include, inclusive, as a YYYY-MM-DD calendar date (UTC). Required. Must be on or after start_date and the current UTC day or earlier. |
user_email | string | No | — | Restrict the results to a single Figma user, identified by email. When omitted, rows for every user in the plan with usage in the range are returned. An email that matches no Figma user returns a 400. |
limit | integer | No | — | Maximum number of rows to return. This param defaults to 1000 if unspecified, and may not exceed 1000. |
cursor | string | No | — | An opaque cursor returned from a previous request, used for pagination. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"start_date": {
"type": "string",
"description": "The first day to include, inclusive, as a `YYYY-MM-DD` calendar date (UTC). Required. Must be on or after `2025-12-01` and no more than 366 days before the current UTC day."
},
"end_date": {
"type": "string",
"description": "The last day to include, inclusive, as a `YYYY-MM-DD` calendar date (UTC). Required. Must be on or after `start_date` and the current UTC day or earlier."
},
"user_email": {
"type": "string",
"description": "Restrict the results to a single Figma user, identified by email. When omitted, rows for every user in the plan with usage in the range are returned. An email that matches no Figma user returns a 400."
},
"limit": {
"type": "integer",
"description": "Maximum number of rows to return. This param defaults to 1000 if unspecified, and may not exceed 1000."
},
"cursor": {
"type": "string",
"description": "An opaque cursor returned from a previous request, used for pagination."
}
},
"required": [
"PCID",
"start_date",
"end_date"
]
}
figma-api_get_comment_reactions
Get reactions for a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get comment containing reactions from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
comment_id | string | Yes | — | ID of comment to get reactions from. |
cursor | string | No | — | Cursor for pagination, retrieved from the response of the previous call. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get comment containing reactions from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"comment_id": {
"type": "string",
"description": "ID of comment to get reactions from."
},
"cursor": {
"type": "string",
"description": "Cursor for pagination, retrieved from the response of the previous call."
}
},
"required": [
"PCID",
"file_key",
"comment_id"
]
}
figma-api_get_comments
Get comments in a file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get comments from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
as_md | boolean | No | — | If enabled, will return comments as their markdown equivalents when applicable. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get comments from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"as_md": {
"type": "boolean",
"description": "If enabled, will return comments as their markdown equivalents when applicable."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_component
Get component Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The unique identifier of the component. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"key": {
"type": "string",
"description": "The unique identifier of the component."
}
},
"required": [
"PCID",
"key"
]
}
figma-api_get_component_set
Get component set Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The unique identifier of the component set. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"key": {
"type": "string",
"description": "The unique identifier of the component set."
}
},
"required": [
"PCID",
"key"
]
}
figma-api_get_dev_resources
Get dev resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | The file to get the dev resources from. This must be a main file key, not a branch key. |
node_ids | string | No | — | Comma separated list of nodes that you care about in the document. If specified, only dev resources attached to these nodes will be returned. If not specified, all dev resources in the file will be returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "The file to get the dev resources from. This must be a main file key, not a branch key."
},
"node_ids": {
"type": "string",
"description": "Comma separated list of nodes that you care about in the document. If specified, only dev resources attached to these nodes will be returned. If not specified, all dev resources in the file will be returned."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_developer_logs
Get developer logs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | A cursor returned from a previous request, used for pagination. |
date_range | string | No | — | Filter by date range. |
event_source | string | No | — | Filter by event source. |
ip_address | string | No | — | Filter by IP address prefix(es). Multiple values can be separated by commas. |
limit | integer | No | — | Maximum number of entries to return. |
token | string | No | — | Filter by token value(s). Multiple values can be separated by commas. |
token_name | string | No | — | Filter by token name prefix(es). Multiple values can be separated by commas. |
token_type | string | No | — | Filter by the type of token used for authentication. |
user_email | string | No | — | Filter by user email prefix(es). Multiple values can be separated by commas. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"cursor": {
"type": "string",
"description": "A cursor returned from a previous request, used for pagination."
},
"date_range": {
"type": "string",
"description": "Filter by date range.",
"enum": [
"last_24h",
"last_7d",
"last_30d"
]
},
"event_source": {
"type": "string",
"description": "Filter by event source.",
"enum": [
"rest_api",
"mcp_server"
]
},
"ip_address": {
"type": "string",
"description": "Filter by IP address prefix(es). Multiple values can be separated by commas."
},
"limit": {
"type": "integer",
"description": "Maximum number of entries to return."
},
"token": {
"type": "string",
"description": "Filter by token value(s). Multiple values can be separated by commas."
},
"token_name": {
"type": "string",
"description": "Filter by token name prefix(es). Multiple values can be separated by commas."
},
"token_type": {
"type": "string",
"description": "Filter by the type of token used for authentication.",
"enum": [
"plan_access_token",
"developer_token",
"oauth_token"
]
},
"user_email": {
"type": "string",
"description": "Filter by user email prefix(es). Multiple values can be separated by commas."
}
},
"required": [
"PCID"
]
}
figma-api_get_file
Get file JSON Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to export JSON from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
file_version | string | No | — | A specific version ID to get. Omitting this will get the current version of the file. |
ids | string | No | — | Comma separated list of nodes that you care about in the document. If specified, only a subset of the document will be returned corresponding to the nodes listed, their children, and everything between the root node and the listed nodes. Note: There may be other nodes included in the returned JSON that are outside the ancestor chains of the desired nodes. The response may also include dependencies of anything in the nodes’ subtrees. For example, if a node subtree contains an instance of a local component that lives elsewhere in that file, that component and its ancestor chain will also be included. For historical reasons, top-level canvas nodes are always returned, regardless of whether they are listed in the ids parameter. This quirk may be removed in a future version of the API. |
depth | number | No | — | Positive integer representing how deep into the document tree to traverse. For example, setting this to 1 returns only Pages, setting it to 2 returns Pages and all top level objects on each page. Not setting this parameter returns all nodes. |
geometry | string | No | — | Set to “paths” to export vector data. |
plugin_data | string | No | — | A comma separated list of plugin IDs and/or the string “shared”. Any data present in the document written by those plugins will be included in the result in the pluginData and sharedPluginData properties. |
branch_data | boolean | No | — | Returns branch metadata for the requested file. If the file is a branch, the main file’s key will be included in the returned response. If the file has branches, their metadata will be included in the returned response. Default: false. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to export JSON from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"file_version": {
"type": "string",
"description": "A specific version ID to get. Omitting this will get the current version of the file."
},
"ids": {
"type": "string",
"description": "Comma separated list of nodes that you care about in the document. If specified, only a subset of the document will be returned corresponding to the nodes listed, their children, and everything between the root node and the listed nodes. Note: There may be other nodes included in the returned JSON that are outside the ancestor chains of the desired nodes. The response may also include dependencies of anything in the nodes' subtrees. For example, if a node subtree contains an instance of a local component that lives elsewhere in that file, that component and its ancestor chain will also be included. For historical reasons, top-level canvas nodes are always returned, regardless of whether they are listed in the `ids` parameter. This quirk may be removed in a future version of the API."
},
"depth": {
"type": "number",
"description": "Positive integer representing how deep into the document tree to traverse. For example, setting this to 1 returns only Pages, setting it to 2 returns Pages and all top level objects on each page. Not setting this parameter returns all nodes."
},
"geometry": {
"type": "string",
"description": "Set to \"paths\" to export vector data."
},
"plugin_data": {
"type": "string",
"description": "A comma separated list of plugin IDs and/or the string \"shared\". Any data present in the document written by those plugins will be included in the result in the `pluginData` and `sharedPluginData` properties."
},
"branch_data": {
"type": "boolean",
"description": "Returns branch metadata for the requested file. If the file is a branch, the main file's key will be included in the returned response. If the file has branches, their metadata will be included in the returned response. Default: false."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_file_component_sets
Get file component sets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to list component sets from. This must be a main file key, not a branch key, as it is not possible to publish from branches. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to list component sets from. This must be a main file key, not a branch key, as it is not possible to publish from branches."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_file_components
Get file components Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to list components from. This must be a main file key, not a branch key, as it is not possible to publish from branches. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to list components from. This must be a main file key, not a branch key, as it is not possible to publish from branches."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_file_meta
Get file metadata Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get metadata for. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get metadata for. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_file_nodes
Get file JSON for specific nodes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to export JSON from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
ids | string | Yes | — | A comma separated list of node IDs to retrieve and convert. |
file_version | string | No | — | A specific version ID to get. Omitting this will get the current version of the file. |
depth | number | No | — | Positive integer representing how deep into the node tree to traverse. For example, setting this to 1 will return only the children directly underneath the desired nodes. Not setting this parameter returns all nodes. Note: this parameter behaves differently from the same parameter in the GET /v1/files/:key endpoint. In this endpoint, the depth will be counted starting from the desired node rather than the document root node. |
geometry | string | No | — | Set to “paths” to export vector data. |
plugin_data | string | No | — | A comma separated list of plugin IDs and/or the string “shared”. Any data present in the document written by those plugins will be included in the result in the pluginData and sharedPluginData properties. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to export JSON from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"ids": {
"type": "string",
"description": "A comma separated list of node IDs to retrieve and convert."
},
"file_version": {
"type": "string",
"description": "A specific version ID to get. Omitting this will get the current version of the file."
},
"depth": {
"type": "number",
"description": "Positive integer representing how deep into the node tree to traverse. For example, setting this to 1 will return only the children directly underneath the desired nodes. Not setting this parameter returns all nodes. Note: this parameter behaves differently from the same parameter in the `GET /v1/files/:key` endpoint. In this endpoint, the depth will be counted starting from the desired node rather than the document root node."
},
"geometry": {
"type": "string",
"description": "Set to \"paths\" to export vector data."
},
"plugin_data": {
"type": "string",
"description": "A comma separated list of plugin IDs and/or the string \"shared\". Any data present in the document written by those plugins will be included in the result in the `pluginData` and `sharedPluginData` properties."
}
},
"required": [
"PCID",
"file_key",
"ids"
]
}
figma-api_get_file_styles
Get file styles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to list styles from. This must be a main file key, not a branch key, as it is not possible to publish from branches. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to list styles from. This must be a main file key, not a branch key, as it is not possible to publish from branches."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_file_versions
Get versions of a file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get version history from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
page_size | number | No | — | The number of items returned in a page of the response. If not included, page_size is 30. |
before | number | No | — | A version ID for one of the versions in the history. Gets versions before this ID. Used for paginating. If the response is not paginated, this link returns the same data in the current response. |
after | number | No | — | A version ID for one of the versions in the history. Gets versions after this ID. Used for paginating. If the response is not paginated, this property is not included. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get version history from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"page_size": {
"type": "number",
"description": "The number of items returned in a page of the response. If not included, `page_size` is `30`."
},
"before": {
"type": "number",
"description": "A version ID for one of the versions in the history. Gets versions before this ID. Used for paginating. If the response is not paginated, this link returns the same data in the current response."
},
"after": {
"type": "number",
"description": "A version ID for one of the versions in the history. Gets versions after this ID. Used for paginating. If the response is not paginated, this property is not included."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_folder_files
Get files in a folder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
folder_id | string | Yes | — | ID of the folder to list files from |
branch_data | boolean | No | — | Returns branch metadata in the response for each main file with a branch inside the folder. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"folder_id": {
"type": "string",
"description": "ID of the folder to list files from"
},
"branch_data": {
"type": "boolean",
"description": "Returns branch metadata in the response for each main file with a branch inside the folder."
}
},
"required": [
"PCID",
"folder_id"
]
}
figma-api_get_folder_folders
Get subfolders in a folder Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
folder_id | string | Yes | — | ID of the parent folder to list subfolders from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"folder_id": {
"type": "string",
"description": "ID of the parent folder to list subfolders from"
}
},
"required": [
"PCID",
"folder_id"
]
}
figma-api_get_folder_meta
Get folder metadata Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
folder_id | string | Yes | — | ID of the folder to get metadata for |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"folder_id": {
"type": "string",
"description": "ID of the folder to get metadata for"
}
},
"required": [
"PCID",
"folder_id"
]
}
figma-api_get_image_fills
Get image fills Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get image URLs from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get image URLs from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_images
Render images of file nodes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to export images from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
ids | string | Yes | — | A comma separated list of node IDs to render. |
file_version | string | No | — | A specific version ID to get. Omitting this will get the current version of the file. |
scale | number | No | — | A number between 0.01 and 4, the image scaling factor. |
format | string | No | — | A string enum for the image output format. |
svg_outline_text | boolean | No | — | Whether text elements are rendered as outlines (vector paths) or as <text> elements in SVGs. Rendering text elements as outlines guarantees that the text looks exactly the same in the SVG as it does in the browser/inside Figma. Exporting as <text> allows text to be selectable inside SVGs and generally makes the SVG easier to read. However, this relies on the browser’s rendering engine which can vary between browsers and/or operating systems. As such, visual accuracy is not guaranteed as the result could look different than in Figma. |
svg_include_id | boolean | No | — | Whether to include id attributes for all SVG elements. Adds the layer name to the id attribute of an svg element. |
svg_include_node_id | boolean | No | — | Whether to include node id attributes for all SVG elements. Adds the node id to a data-node-id attribute of an svg element. |
svg_simplify_stroke | boolean | No | — | Whether to simplify inside/outside strokes and use stroke attribute if possible instead of <mask>. |
contents_only | boolean | No | — | Whether content that overlaps the node should be excluded from rendering. Passing false (i.e., rendering overlaps) may increase processing time, since more of the document must be included in rendering. |
use_absolute_bounds | boolean | No | — | Use the full dimensions of the node regardless of whether or not it is cropped or the space around it is empty. Use this to export text nodes without cropping. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to export images from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"ids": {
"type": "string",
"description": "A comma separated list of node IDs to render."
},
"file_version": {
"type": "string",
"description": "A specific version ID to get. Omitting this will get the current version of the file."
},
"scale": {
"type": "number",
"description": "A number between 0.01 and 4, the image scaling factor."
},
"format": {
"type": "string",
"description": "A string enum for the image output format.",
"enum": [
"jpg",
"png",
"svg",
"pdf"
]
},
"svg_outline_text": {
"type": "boolean",
"description": "Whether text elements are rendered as outlines (vector paths) or as `<text>` elements in SVGs. Rendering text elements as outlines guarantees that the text looks exactly the same in the SVG as it does in the browser/inside Figma. Exporting as `<text>` allows text to be selectable inside SVGs and generally makes the SVG easier to read. However, this relies on the browser's rendering engine which can vary between browsers and/or operating systems. As such, visual accuracy is not guaranteed as the result could look different than in Figma."
},
"svg_include_id": {
"type": "boolean",
"description": "Whether to include id attributes for all SVG elements. Adds the layer name to the `id` attribute of an svg element."
},
"svg_include_node_id": {
"type": "boolean",
"description": "Whether to include node id attributes for all SVG elements. Adds the node id to a `data-node-id` attribute of an svg element."
},
"svg_simplify_stroke": {
"type": "boolean",
"description": "Whether to simplify inside/outside strokes and use stroke attribute if possible instead of `<mask>`."
},
"contents_only": {
"type": "boolean",
"description": "Whether content that overlaps the node should be excluded from rendering. Passing false (i.e., rendering overlaps) may increase processing time, since more of the document must be included in rendering."
},
"use_absolute_bounds": {
"type": "boolean",
"description": "Use the full dimensions of the node regardless of whether or not it is cropped or the space around it is empty. Use this to export text nodes without cropping."
}
},
"required": [
"PCID",
"file_key",
"ids"
]
}
figma-api_get_library_analytics_component_actions
Get library analytics component action data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File key of the library to fetch analytics data for. |
cursor | string | No | — | Cursor indicating what page of data to fetch. Obtained from prior API call. |
group_by | string | Yes | — | A dimension to group returned analytics data by. |
start_date | string | No | — | ISO 8601 date string (YYYY-MM-DD) of the earliest week to include. Dates are rounded back to the nearest start of a week. Defaults to one year prior. |
end_date | string | No | — | ISO 8601 date string (YYYY-MM-DD) of the latest week to include. Dates are rounded forward to the nearest end of a week. Defaults to the latest computed week. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File key of the library to fetch analytics data for."
},
"cursor": {
"type": "string",
"description": "Cursor indicating what page of data to fetch. Obtained from prior API call."
},
"group_by": {
"type": "string",
"description": "A dimension to group returned analytics data by.",
"enum": [
"component",
"team"
]
},
"start_date": {
"type": "string",
"description": "ISO 8601 date string (YYYY-MM-DD) of the earliest week to include. Dates are rounded back to the nearest start of a week. Defaults to one year prior."
},
"end_date": {
"type": "string",
"description": "ISO 8601 date string (YYYY-MM-DD) of the latest week to include. Dates are rounded forward to the nearest end of a week. Defaults to the latest computed week."
}
},
"required": [
"PCID",
"file_key",
"group_by"
]
}
figma-api_get_library_analytics_component_usages
Get library analytics component usage data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File key of the library to fetch analytics data for. |
cursor | string | No | — | Cursor indicating what page of data to fetch. Obtained from prior API call. |
group_by | string | Yes | — | A dimension to group returned analytics data by. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File key of the library to fetch analytics data for."
},
"cursor": {
"type": "string",
"description": "Cursor indicating what page of data to fetch. Obtained from prior API call."
},
"group_by": {
"type": "string",
"description": "A dimension to group returned analytics data by.",
"enum": [
"component",
"file"
]
}
},
"required": [
"PCID",
"file_key",
"group_by"
]
}
figma-api_get_library_analytics_style_actions
Get library analytics style action data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File key of the library to fetch analytics data for. |
cursor | string | No | — | Cursor indicating what page of data to fetch. Obtained from prior API call. |
group_by | string | Yes | — | A dimension to group returned analytics data by. |
start_date | string | No | — | ISO 8601 date string (YYYY-MM-DD) of the earliest week to include. Dates are rounded back to the nearest start of a week. Defaults to one year prior. |
end_date | string | No | — | ISO 8601 date string (YYYY-MM-DD) of the latest week to include. Dates are rounded forward to the nearest end of a week. Defaults to the latest computed week. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File key of the library to fetch analytics data for."
},
"cursor": {
"type": "string",
"description": "Cursor indicating what page of data to fetch. Obtained from prior API call."
},
"group_by": {
"type": "string",
"description": "A dimension to group returned analytics data by.",
"enum": [
"style",
"team"
]
},
"start_date": {
"type": "string",
"description": "ISO 8601 date string (YYYY-MM-DD) of the earliest week to include. Dates are rounded back to the nearest start of a week. Defaults to one year prior."
},
"end_date": {
"type": "string",
"description": "ISO 8601 date string (YYYY-MM-DD) of the latest week to include. Dates are rounded forward to the nearest end of a week. Defaults to the latest computed week."
}
},
"required": [
"PCID",
"file_key",
"group_by"
]
}
figma-api_get_library_analytics_style_usages
Get library analytics style usage data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File key of the library to fetch analytics data for. |
cursor | string | No | — | Cursor indicating what page of data to fetch. Obtained from prior API call. |
group_by | string | Yes | — | A dimension to group returned analytics data by. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File key of the library to fetch analytics data for."
},
"cursor": {
"type": "string",
"description": "Cursor indicating what page of data to fetch. Obtained from prior API call."
},
"group_by": {
"type": "string",
"description": "A dimension to group returned analytics data by.",
"enum": [
"style",
"file"
]
}
},
"required": [
"PCID",
"file_key",
"group_by"
]
}
figma-api_get_library_analytics_variable_actions
Get library analytics variable action data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File key of the library to fetch analytics data for. |
cursor | string | No | — | Cursor indicating what page of data to fetch. Obtained from prior API call. |
group_by | string | Yes | — | A dimension to group returned analytics data by. |
start_date | string | No | — | ISO 8601 date string (YYYY-MM-DD) of the earliest week to include. Dates are rounded back to the nearest start of a week. Defaults to one year prior. |
end_date | string | No | — | ISO 8601 date string (YYYY-MM-DD) of the latest week to include. Dates are rounded forward to the nearest end of a week. Defaults to the latest computed week. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File key of the library to fetch analytics data for."
},
"cursor": {
"type": "string",
"description": "Cursor indicating what page of data to fetch. Obtained from prior API call."
},
"group_by": {
"type": "string",
"description": "A dimension to group returned analytics data by.",
"enum": [
"variable",
"team"
]
},
"start_date": {
"type": "string",
"description": "ISO 8601 date string (YYYY-MM-DD) of the earliest week to include. Dates are rounded back to the nearest start of a week. Defaults to one year prior."
},
"end_date": {
"type": "string",
"description": "ISO 8601 date string (YYYY-MM-DD) of the latest week to include. Dates are rounded forward to the nearest end of a week. Defaults to the latest computed week."
}
},
"required": [
"PCID",
"file_key",
"group_by"
]
}
figma-api_get_library_analytics_variable_usages
Get library analytics variable usage data. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File key of the library to fetch analytics data for. |
cursor | string | No | — | Cursor indicating what page of data to fetch. Obtained from prior API call. |
group_by | string | Yes | — | A dimension to group returned analytics data by. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File key of the library to fetch analytics data for."
},
"cursor": {
"type": "string",
"description": "Cursor indicating what page of data to fetch. Obtained from prior API call."
},
"group_by": {
"type": "string",
"description": "A dimension to group returned analytics data by.",
"enum": [
"variable",
"file"
]
}
},
"required": [
"PCID",
"file_key",
"group_by"
]
}
figma-api_get_local_variables
Get local variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get variables from. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get variables from. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_me
Get current userShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
figma-api_get_oembed
Get oEmbed data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
url | string | Yes | — | The URL of the Figma file or published Make site to retrieve oEmbed data for. |
maxwidth | integer | No | — | Maximum width of the embed in pixels. Defaults to 800. The response width will be adjusted to maintain a 16:9 aspect ratio with maxheight. |
maxheight | integer | No | — | Maximum height of the embed in pixels. Defaults to 450. The response height will be adjusted to maintain a 16:9 aspect ratio with maxwidth. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"url": {
"type": "string",
"description": "The URL of the Figma file or published Make site to retrieve oEmbed data for."
},
"maxwidth": {
"type": "integer",
"description": "Maximum width of the embed in pixels. Defaults to 800. The response width will be adjusted to maintain a 16:9 aspect ratio with maxheight."
},
"maxheight": {
"type": "integer",
"description": "Maximum height of the embed in pixels. Defaults to 450. The response height will be adjusted to maintain a 16:9 aspect ratio with maxwidth."
}
},
"required": [
"PCID",
"url"
]
}
figma-api_get_payments
Get payments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
plugin_payment_token | string | No | — | Short-lived token returned from “getPluginPaymentTokenAsync” in the plugin payments API and used to authenticate to this endpoint. Read more about generating this token through “Calling the Payments REST API from a plugin or widget” below. |
user_id | string | No | — | The ID of the user to query payment information about. You can get the user ID by having the user OAuth2 to the Figma REST API. |
community_file_id | string | No | — | The ID of the Community file to query a user’s payment information on. You can get the Community file ID from the file’s Community page (look for the number after “file/” in the URL). Provide exactly one of “community_file_id”, “plugin_id”, or “widget_id”. |
plugin_id | string | No | — | The ID of the plugin to query a user’s payment information on. You can get the plugin ID from the plugin’s manifest, or from the plugin’s Community page (look for the number after “plugin/” in the URL). Provide exactly one of “community_file_id”, “plugin_id”, or “widget_id”. |
widget_id | string | No | — | The ID of the widget to query a user’s payment information on. You can get the widget ID from the widget’s manifest, or from the widget’s Community page (look for the number after “widget/” in the URL). Provide exactly one of “community_file_id”, “plugin_id”, or “widget_id”. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"plugin_payment_token": {
"type": "string",
"description": "Short-lived token returned from \"getPluginPaymentTokenAsync\" in the plugin payments API and used to authenticate to this endpoint. Read more about generating this token through \"Calling the Payments REST API from a plugin or widget\" below."
},
"user_id": {
"type": "string",
"description": "The ID of the user to query payment information about. You can get the user ID by having the user OAuth2 to the Figma REST API."
},
"community_file_id": {
"type": "string",
"description": "The ID of the Community file to query a user's payment information on. You can get the Community file ID from the file's Community page (look for the number after \"file/\" in the URL). Provide exactly one of \"community_file_id\", \"plugin_id\", or \"widget_id\"."
},
"plugin_id": {
"type": "string",
"description": "The ID of the plugin to query a user's payment information on. You can get the plugin ID from the plugin's manifest, or from the plugin's Community page (look for the number after \"plugin/\" in the URL). Provide exactly one of \"community_file_id\", \"plugin_id\", or \"widget_id\"."
},
"widget_id": {
"type": "string",
"description": "The ID of the widget to query a user's payment information on. You can get the widget ID from the widget's manifest, or from the widget's Community page (look for the number after \"widget/\" in the URL). Provide exactly one of \"community_file_id\", \"plugin_id\", or \"widget_id\"."
}
},
"required": [
"PCID"
]
}
figma-api_get_published_variables
Get published variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to get variables from. This must be a main file key, not a branch key, as it is not possible to publish from branches. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to get variables from. This must be a main file key, not a branch key, as it is not possible to publish from branches."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_get_style
Get style Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
key | string | Yes | — | The unique identifier of the style. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"key": {
"type": "string",
"description": "The unique identifier of the style."
}
},
"required": [
"PCID",
"key"
]
}
figma-api_get_team_component_sets
Get team component sets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | string | Yes | — | Id of the team to list component sets from. |
page_size | number | No | — | Number of items to return in a paged list of results. Defaults to 30. |
after | number | No | — | Cursor indicating which id after which to start retrieving component sets for. Exclusive with before. The cursor value is an internally tracked integer that doesn’t correspond to any Ids. |
before | number | No | — | Cursor indicating which id before which to start retrieving component sets for. Exclusive with after. The cursor value is an internally tracked integer that doesn’t correspond to any Ids. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "string",
"description": "Id of the team to list component sets from."
},
"page_size": {
"type": "number",
"description": "Number of items to return in a paged list of results. Defaults to 30."
},
"after": {
"type": "number",
"description": "Cursor indicating which id after which to start retrieving component sets for. Exclusive with before. The cursor value is an internally tracked integer that doesn't correspond to any Ids."
},
"before": {
"type": "number",
"description": "Cursor indicating which id before which to start retrieving component sets for. Exclusive with after. The cursor value is an internally tracked integer that doesn't correspond to any Ids."
}
},
"required": [
"PCID",
"team_id"
]
}
figma-api_get_team_components
Get team components Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | string | Yes | — | Id of the team to list components from. |
page_size | number | No | — | Number of items to return in a paged list of results. Defaults to 30. Maximum of 1000. |
after | number | No | — | Cursor indicating which id after which to start retrieving components for. Exclusive with before. The cursor value is an internally tracked integer that doesn’t correspond to any Ids. |
before | number | No | — | Cursor indicating which id before which to start retrieving components for. Exclusive with after. The cursor value is an internally tracked integer that doesn’t correspond to any Ids. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "string",
"description": "Id of the team to list components from."
},
"page_size": {
"type": "number",
"description": "Number of items to return in a paged list of results. Defaults to 30. Maximum of 1000."
},
"after": {
"type": "number",
"description": "Cursor indicating which id after which to start retrieving components for. Exclusive with before. The cursor value is an internally tracked integer that doesn't correspond to any Ids."
},
"before": {
"type": "number",
"description": "Cursor indicating which id before which to start retrieving components for. Exclusive with after. The cursor value is an internally tracked integer that doesn't correspond to any Ids."
}
},
"required": [
"PCID",
"team_id"
]
}
figma-api_get_team_folders
Get top-level folders in a team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | string | Yes | — | ID of the team to list folders from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "string",
"description": "ID of the team to list folders from"
}
},
"required": [
"PCID",
"team_id"
]
}
figma-api_get_team_styles
Get team styles Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
team_id | string | Yes | — | Id of the team to list styles from. |
page_size | number | No | — | Number of items to return in a paged list of results. Defaults to 30. |
after | number | No | — | Cursor indicating which id after which to start retrieving styles for. Exclusive with before. The cursor value is an internally tracked integer that doesn’t correspond to any Ids. |
before | number | No | — | Cursor indicating which id before which to start retrieving styles for. Exclusive with after. The cursor value is an internally tracked integer that doesn’t correspond to any Ids. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"team_id": {
"type": "string",
"description": "Id of the team to list styles from."
},
"page_size": {
"type": "number",
"description": "Number of items to return in a paged list of results. Defaults to 30."
},
"after": {
"type": "number",
"description": "Cursor indicating which id after which to start retrieving styles for. Exclusive with before. The cursor value is an internally tracked integer that doesn't correspond to any Ids."
},
"before": {
"type": "number",
"description": "Cursor indicating which id before which to start retrieving styles for. Exclusive with after. The cursor value is an internally tracked integer that doesn't correspond to any Ids."
}
},
"required": [
"PCID",
"team_id"
]
}
figma-api_get_webhook
Get a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | ID of webhook to get |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "ID of webhook to get"
}
},
"required": [
"PCID",
"webhook_id"
]
}
figma-api_get_webhook_requests
Get webhook requests Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | The id of the webhook subscription you want to see events from |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "The id of the webhook subscription you want to see events from"
}
},
"required": [
"PCID",
"webhook_id"
]
}
figma-api_get_webhooks
Get webhooks by context or plan Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
context | string | No | — | Context to create the resource on. Should be “team”, “project”, or “file”. |
context_id | string | No | — | The id of the context that you want to get attached webhooks for. If you’re using context_id, you cannot use plan_api_id. |
plan_api_id | string | No | — | The id of your plan. Use this to get all webhooks for all contexts you have access to. If you’re using plan_api_id, you cannot use context or context_id. When you use plan_api_id, the response is paginated. |
cursor | string | No | — | If you’re using plan_api_id, this is the cursor to use for pagination. If you’re using context or context_id, this parameter is ignored. Provide the next_page or prev_page value from the previous response to get the next or previous page of results. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"context": {
"type": "string",
"description": "Context to create the resource on. Should be \"team\", \"project\", or \"file\"."
},
"context_id": {
"type": "string",
"description": "The id of the context that you want to get attached webhooks for. If you're using context_id, you cannot use plan_api_id."
},
"plan_api_id": {
"type": "string",
"description": "The id of your plan. Use this to get all webhooks for all contexts you have access to. If you're using plan_api_id, you cannot use context or context_id. When you use plan_api_id, the response is paginated."
},
"cursor": {
"type": "string",
"description": "If you're using plan_api_id, this is the cursor to use for pagination. If you're using context or context_id, this parameter is ignored. Provide the next_page or prev_page value from the previous response to get the next or previous page of results."
}
},
"required": [
"PCID"
]
}
figma-api_post_comment
Add a comment to a file Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to add comments in. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
client_meta | object | No | — | The position where to place the comment. Accepts one of: (1) absolute canvas position {x: number, y: number}, (2) frame-relative position {node_id: string, node_offset: {x, y}}, (3) canvas region {x, y, region_height, region_width}, or (4) frame-relative region {node_id, node_offset: {x, y}, region_height, region_width}. |
comment_id | string | No | — | The ID of the comment to reply to, if any. This must be a root comment. You cannot reply to other replies (a comment that has a parent_id). |
message | string | Yes | — | The text contents of the comment to post. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to add comments in. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"client_meta": {
"type": "object",
"description": "The position where to place the comment. Accepts one of: (1) absolute canvas position {x: number, y: number}, (2) frame-relative position {node_id: string, node_offset: {x, y}}, (3) canvas region {x, y, region_height, region_width}, or (4) frame-relative region {node_id, node_offset: {x, y}, region_height, region_width}.",
"properties": {
"x": {
"type": "number",
"description": "X coordinate (for absolute or canvas-region placement)"
},
"y": {
"type": "number",
"description": "Y coordinate (for absolute or canvas-region placement)"
},
"node_id": {
"type": "string",
"description": "Frame node ID (for frame-relative placement)"
},
"node_offset": {
"type": "object",
"description": "2D vector offset within the frame {x, y}"
},
"region_height": {
"type": "number",
"description": "Height of the comment region"
},
"region_width": {
"type": "number",
"description": "Width of the comment region"
}
}
},
"comment_id": {
"type": "string",
"description": "The ID of the comment to reply to, if any. This must be a root comment. You cannot reply to other replies (a comment that has a parent_id)."
},
"message": {
"type": "string",
"description": "The text contents of the comment to post."
}
},
"required": [
"PCID",
"file_key",
"message"
]
}
figma-api_post_comment_reaction
Add a reaction to a comment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to post comment reactions to. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
comment_id | string | Yes | — | ID of comment to react to. |
emoji | string | Yes | — | The emoji type of reaction as shortcode (e.g. :heart:, :+1::skin-tone-2:). The list of accepted emoji shortcodes can be found in this file under the top-level emojis and aliases fields, with optional skin tone modifiers when applicable. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to post comment reactions to. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"comment_id": {
"type": "string",
"description": "ID of comment to react to."
},
"emoji": {
"type": "string",
"description": "The emoji type of reaction as shortcode (e.g. `:heart:`, `:+1::skin-tone-2:`). The list of accepted emoji shortcodes can be found in [this file](https://raw.githubusercontent.com/missive/emoji-mart/main/packages/emoji-mart-data/sets/14/native.json) under the top-level emojis and aliases fields, with optional skin tone modifiers when applicable."
}
},
"required": [
"PCID",
"file_key",
"comment_id",
"emoji"
]
}
figma-api_post_dev_resources
Create dev resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dev_resources | object[] | Yes | — | An array of dev resources. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"dev_resources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the dev resource."
},
"url": {
"type": "string",
"description": "The URL of the dev resource."
},
"file_key": {
"type": "string",
"description": "The file key where the dev resource belongs."
},
"node_id": {
"type": "string",
"description": "The target node to attach the dev resource to."
}
},
"required": [
"name",
"url",
"file_key",
"node_id"
]
},
"description": "An array of dev resources."
}
},
"required": [
"PCID",
"dev_resources"
]
}
figma-api_post_variables
Create/modify/delete variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
file_key | string | Yes | — | File to modify variables in. This can be a file key or branch key. Use GET /v1/files/:key with the branch_data query param to get the branch key. |
variableCollections | any[] | No | — | For creating, updating, and deleting variable collections. |
variableModes | any[] | No | — | For creating, updating, and deleting modes within variable collections. |
variableModeValues | object[] | No | — | For setting a specific value, given a variable and a mode. |
variables | any[] | No | — | For creating, updating, and deleting variables. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"file_key": {
"type": "string",
"description": "File to modify variables in. This can be a file key or branch key. Use `GET /v1/files/:key` with the `branch_data` query param to get the branch key."
},
"variableCollections": {
"type": "array",
"description": "For creating, updating, and deleting variable collections."
},
"variableModes": {
"type": "array",
"description": "For creating, updating, and deleting modes within variable collections."
},
"variableModeValues": {
"type": "array",
"items": {
"type": "object",
"properties": {
"variableId": {
"type": "string",
"description": "The target variable. You can use the temporary id of a variable."
},
"modeId": {
"type": "string",
"description": "Must correspond to a mode in the variable collection that contains the target variable."
},
"value": {
"description": "The value for the variable. The value must match the variable's type. If setting to a variable alias, the alias must resolve to this type. If overriding a value, the value type must match the variable's type. If removing an overridden value, the value must be `null`."
}
},
"required": [
"variableId",
"modeId",
"value"
]
},
"description": "For setting a specific value, given a variable and a mode."
},
"variables": {
"type": "array",
"description": "For creating, updating, and deleting variables."
}
},
"required": [
"PCID",
"file_key"
]
}
figma-api_post_webhook
Create a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
context | string | Yes | — | Context to create the webhook for. Must be “team”, “project”, or “file”. |
context_id | string | Yes | — | The id of the context you want to receive updates about. |
description | string | No | — | User provided description or name for the webhook. Max length 150 characters. |
endpoint | string | Yes | — | The HTTP endpoint that will receive a POST request when the event triggers. Max length 2048 characters. |
event_type | string | Yes | — | An enum representing the possible events that a webhook can subscribe to |
passcode | string | Yes | — | String that will be passed back to your webhook endpoint to verify that it is being called by Figma. Max length 100 characters. |
status | string | No | — | An enum representing the possible statuses you can set a webhook to: - ACTIVE: The webhook is healthy and receive all events - PAUSED: The webhook is paused and will not receive any events |
team_id | string | No | — | Team id to receive updates about. This is deprecated, use ‘context’ and ‘context_id’ instead. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"context": {
"type": "string",
"description": "Context to create the webhook for. Must be \"team\", \"project\", or \"file\"."
},
"context_id": {
"type": "string",
"description": "The id of the context you want to receive updates about."
},
"description": {
"type": "string",
"description": "User provided description or name for the webhook. Max length 150 characters."
},
"endpoint": {
"type": "string",
"description": "The HTTP endpoint that will receive a POST request when the event triggers. Max length 2048 characters."
},
"event_type": {
"type": "string",
"description": "An enum representing the possible events that a webhook can subscribe to",
"enum": [
"PING",
"FILE_UPDATE",
"FILE_VERSION_UPDATE",
"FILE_DELETE",
"LIBRARY_PUBLISH",
"FILE_COMMENT",
"DEV_MODE_STATUS_UPDATE"
]
},
"passcode": {
"type": "string",
"description": "String that will be passed back to your webhook endpoint to verify that it is being called by Figma. Max length 100 characters."
},
"status": {
"type": "string",
"description": "An enum representing the possible statuses you can set a webhook to: - `ACTIVE`: The webhook is healthy and receive all events - `PAUSED`: The webhook is paused and will not receive any events",
"enum": [
"ACTIVE",
"PAUSED"
]
},
"team_id": {
"type": "string",
"description": "Team id to receive updates about. This is deprecated, use 'context' and 'context_id' instead."
}
},
"required": [
"PCID",
"context",
"context_id",
"endpoint",
"event_type",
"passcode"
]
}
figma-api_put_dev_resources
Update dev resources Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dev_resources | object[] | Yes | — | An array of dev resources. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"dev_resources": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "Unique identifier of the dev resource"
},
"name": {
"type": "string",
"description": "The name of the dev resource."
},
"url": {
"type": "string",
"description": "The URL of the dev resource."
}
},
"required": [
"id"
]
},
"description": "An array of dev resources."
}
},
"required": [
"PCID",
"dev_resources"
]
}
figma-api_put_webhook
Update a webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | string | Yes | — | ID of webhook to update |
description | string | No | — | User provided description or name for the webhook. Max length 150 characters. |
endpoint | string | No | — | The HTTP endpoint that will receive a POST request when the event triggers. Max length 2048 characters. |
event_type | string | No | — | An enum representing the possible events that a webhook can subscribe to |
passcode | string | No | — | String that will be passed back to your webhook endpoint to verify that it is being called by Figma. Max length 100 characters. |
status | string | No | — | An enum representing the possible statuses you can set a webhook to: - ACTIVE: The webhook is healthy and receive all events - PAUSED: The webhook is paused and will not receive any events |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"webhook_id": {
"type": "string",
"description": "ID of webhook to update"
},
"description": {
"type": "string",
"description": "User provided description or name for the webhook. Max length 150 characters."
},
"endpoint": {
"type": "string",
"description": "The HTTP endpoint that will receive a POST request when the event triggers. Max length 2048 characters."
},
"event_type": {
"type": "string",
"description": "An enum representing the possible events that a webhook can subscribe to",
"enum": [
"PING",
"FILE_UPDATE",
"FILE_VERSION_UPDATE",
"FILE_DELETE",
"LIBRARY_PUBLISH",
"FILE_COMMENT",
"DEV_MODE_STATUS_UPDATE"
]
},
"passcode": {
"type": "string",
"description": "String that will be passed back to your webhook endpoint to verify that it is being called by Figma. Max length 100 characters."
},
"status": {
"type": "string",
"description": "An enum representing the possible statuses you can set a webhook to: - `ACTIVE`: The webhook is healthy and receive all events - `PAUSED`: The webhook is paused and will not receive any events",
"enum": [
"ACTIVE",
"PAUSED"
]
}
},
"required": [
"PCID",
"webhook_id"
]
}

